version: '2'
services:
  helix:
    build: .
#    ports:
#     - "5000:5000" # flask server
#     - "2222:2222" # ssh
    volumes:
     - .:/code
     - /code/node_modules # http://jdlm.info/articles/2016/03/06/lessons-building-node-app-docker.html
    network_mode: host
  db:
    build:
      context: .
      dockerfile: Dockerfile.db
    volumes:
      - /docker_data_volume/helix_roof_calculator_db:/var/lib/postgresql/data
    network_mode: host
  cache:
    image: redis:3.2.4
    volumes:
      - /docker_data_volume/helix_roof_calculator_cache:/data
    network_mode: host
